% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/summarise_boxplot_stats.R
\name{summarise_boxplot_stats}
\alias{summarise_boxplot_stats}
\title{Summarise Boxplot Statistics with Outliers}
\usage{
summarise_boxplot_stats(x)
}
\arguments{
\item{x}{A numeric vector, matrix, data frame, or tibble.}
}
\value{
A tibble with columns: `variable`, `min`, `q1`, `median`, `q3`, `max`, `iqr`, `range`, `n_outliers`, `outliers`.
}
\description{
Computes the five-number summary (min, Q1, median, Q3, max), interquartile range (IQR), range, and 
outliers for each numeric variable in a data frame or a numeric vector.
}
\examples{
summarise_boxplot_stats(iris)
summarise_boxplot_stats(iris$Sepal.Width)
summarise_boxplot_stats(data.frame(a = c(rnorm(98), 10, NA)))

}
